Subject: bug#44689: 28.0.50; Use appropriate face for Flymake unknown backend

From: Protesilaos Stavrou <[email-masked]>
Date: Tue, 17 Nov 2020 11:47:03 +0200

On 2020-11-17, 09:20 +0000, João Távora <[email-masked]> wrote:

>> > I'm not sure why it's useful to draw attention to this bit in the mode
>> > line, though.  Is that something users would find useful to have their
>> > attentions drawn to?
>>
>> Perhaps João can answer your question (in cc).
>
> Thanks. I dunno, really.  That '?' is placed whenever Flymake has
> been activated but no suitable backend has been found, or no
> backend has been found to answer suitably. This is an abnormal
> situation.  It points to some misconfiguration, in principle. Does 
> that merit "immediate attention"?  I'd say "some attention", but 
> I'm ignorant of the policy and the associated face here, so I'll leave
> this hair-splitting to you, and you have my blessing for choosing
> a different face or even no face at all.

While you discuss the rest of the issue with Lars, just to point out
that the "?" is easy to get.

On 'emacs -Q':

    (require 'flymake)
    (setq flymake-start-on-flymake-mode nil)

Now visit an '*.el' file.  Activate 'flymake-mode' and check the
modeline.

Screenshot attached.

Thanks again for your contributions!

-- 
Protesilaos Stavrou
protesilaos.com